Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Public Member Functions | Static Public Member Functions
Lucene::LuceneVersion Class Reference

Use by certain classes to match version compatibility across releases of Lucene. More...

`#include <Constants.h>`

## Public Types

enum | Version { LUCENE_20 = 0, LUCENE_21, LUCENE_22, LUCENE_23, LUCENE_24, LUCENE_29, LUCENE_30, LUCENE_CURRENT }

## Public Member Functions

virtual | ~LuceneVersion ()

## Static Public Member Functions

static bool | onOrAfter (LuceneVersion::Version first, LuceneVersion::Version second)

## Detailed Description

Use by certain classes to match version compatibility across releases of Lucene.

WARNING: When changing the version parameter that you supply to components in Lucene, do not simply change the version at search-time, but instead also adjust your indexing code to match, and re-index.

## Member Enumeration Documentation

enum Lucene::LuceneVersion::Version

Enumerator
LUCENE_20 | Match settings and bugs in Lucene's 2.0 release.
LUCENE_21 | Match settings and bugs in Lucene's 2.1 release.
LUCENE_22 | Match settings and bugs in Lucene's 2.2 release.
LUCENE_23 | Match settings and bugs in Lucene's 2.3 release.
LUCENE_24 | Match settings and bugs in Lucene's 2.4 release.
LUCENE_29 | Match settings and bugs in Lucene's 2.9 release.
LUCENE_30 | Match settings and bugs in Lucene's 3.0 release. Use this to get the latest & greatest settings, bug fixes, etc, for Lucene.

LUCENE_CURRENT

Add new constants for later versions here to respect order!

Warning: If you use this setting, and then upgrade to a newer release of Lucene, sizable changes may happen. If backwards compatibility is important then you should instead explicitly specify an actual version.

If you use this constant then you may need to re-index all of your documents when upgrading Lucene, as the way text is indexed may have changed. Additionally, you may need to re-test your entire application to ensure it behaves as expected, as some defaults may have changed and may break functionality in your application.

Deprecated: Use an actual version instead.

## Constructor & Destructor Documentation

virtual Lucene::LuceneVersion::~LuceneVersion | ( | ) |  |

virtual

## Member Function Documentation

static bool Lucene::LuceneVersion::onOrAfter | ( | LuceneVersion::Version | first,
|  | LuceneVersion::Version | second
| ) |  |

static

The documentation for this class was generated from the following file:

- Constants.h

clucene.sourceforge.net